#include <stdio.h>
void goto_check() {
  int d, n;
  for (d = 2; d < n; d++) {
    if (n % d == 0) {
      goto done;
    }
  }
done:
  if (d < n)
    printf("%d is divisable by %d\n", d, n);
  else
    printf("%d is prime", d);
}
int main() { goto_check(); }
